<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
  <xsd:include schemaLocation="DirectoryName.xsd"/>
  <xsd:include schemaLocation="Dependencies.xsd"/>
  
  <xsd:element name="library" type="Library"/>
  <xsd:complexType name="Library">
    <xsd:sequence>
      <xsd:element name="name"          type="xsd:string"/>
      <xsd:element name="description"   type="xsd:string"/>      
      <xsd:element name="dependencies"  type="Dependencies" minOccurs="0" />
    </xsd:sequence>
    <xsd:attribute name="static" type="xsd:boolean" default="true"/>
  </xsd:complexType>

</xsd:schema>
